-- ************* Function list *************


rawset(_G, "srb2p", {})

function srb2p.F12(player, playerNum, dispAll)
	-- There needs to be a value
	if not (playerNum or type(playerNum) == "string") then
		print("\x82WARNING:\x80 " .. "No player specified")
	end

	-- Change display on local playernumber or change all
	if not (dispAll) then
		G_SetDisplayPlayer(player, playerNum, false)
	else
		G_SetDisplayPlayer(player, playerNum, true)
	end
	--print("Viewpoint: "..player.name.."("..#player..")")
end


function srb2p.SetMusicPosition(playerNum, position)
	-- There needs to be a value
	--[[if not (position or type(position) == "string") then
		print("\x82WARNING:\x80 " .. "No player specified")
	end]]
	
	if (position) then
		S_SetMusicPosition(position)
	else
		print("ms position not provided!") 
	end

end


function srb2p.GetMusicPosition(position)
	print("Music Position: "..S_GetMusicPosition())
end

function srb2p.setviewangle(player, rotate)
	if not rotate then print("Angle not provided!") end
	player.viewrollangle = FixedAngle(rotate*FRACUNIT)
end


-- Hooky
--/f/f/f/f/f

addHook("ThinkFrame", do
	-- Search for an altviewman
	if (titlemap and titlemapinaction) then

		local b = sin(leveltime*FixedAngle(8*FRACUNIT))

		for mobj in thinkers.iterate("mobj")
			if (mobj.type == MT_ALTVIEWMAN)
				mobj.momy = b
			end
		end
	end
	
end)



COM_AddCommand("f12", srb2p.F12)
COM_AddCommand("setmuspos", srb2p.SetMusicPosition)
COM_AddCommand("getmuspos", srb2p.GetMusicPosition)
COM_AddCommand("viewroll", srb2p.setviewangle)
